diff -Nurd -x'*~' scrollkeeper-0.3.14.orig/Makefile.am scrollkeeper-0.3.14/Makefile.am
--- scrollkeeper-0.3.14.orig/Makefile.am	2003-12-06 03:16:48.000000000 -0500
+++ scrollkeeper-0.3.14/Makefile.am	2007-06-25 21:24:09.000000000 -0400
@@ -11,7 +11,7 @@
 	intltool-modules/XML/Parser/Style/OrigTree.pm	\
 	scrollkeeper-spec.txt
 
-scrollkeeperdocdir = $(datadir)/doc/scrollkeeper-$(VERSION)
+scrollkeeperdocdir = $(datadir)/doc/scrollkeeper
 scrollkeeperdoc_DATA = 		\
 	AUTHORS			\
 	ChangeLog		\
@@ -32,10 +32,6 @@
 	rm -rf $(DESTDIR)$(scrollkeeper_localstate_dir)
 	$(mkinstalldirs) $(DESTDIR)$(scrollkeeper_localstate_dir)
 	$(mkinstalldirs) $(DESTDIR)$(localstatedir)/log
-	PATH="$(PATH):$(DESTDIR)$(bindir)" ; \
-		echo "`date +\"%b %d %X\"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> $(DESTDIR)$(localstatedir)/log/scrollkeeper.log
-	PATH="$(PATH):$(DESTDIR)$(bindir)" ; \
-		$(DESTDIR)$(bindir)/scrollkeeper-rebuilddb -q -p $(DESTDIR)$(scrollkeeper_localstate_dir)
 
 # Remove generated files
 uninstall-local:
diff -Nurd -x'*~' scrollkeeper-0.3.14.orig/extract/dtds/Makefile.am scrollkeeper-0.3.14/extract/dtds/Makefile.am
--- scrollkeeper-0.3.14.orig/extract/dtds/Makefile.am	2003-06-23 06:58:42.000000000 -0400
+++ scrollkeeper-0.3.14/extract/dtds/Makefile.am	2007-06-25 21:24:33.000000000 -0400
@@ -8,9 +8,6 @@
 
 # ScrollKeeper OMF Variation DTD V1.0
 install-data-hook:
-	-/usr/bin/xmlcatalog --noout --add "public" \
-		"-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
-		"$(dtdsdir)/scrollkeeper-omf.dtd" $(CATALOG)
 
 #
 # Unregister the DTD(s) in the system XML Catalog
diff -Naur scrollkeeper-0.3.14-old/libs/database.c scrollkeeper-0.3.14/libs/database.c
--- scrollkeeper-0.3.14-old/libs/database.c	Sun Jun  2 02:03:10 2002
+++ scrollkeeper-0.3.14/libs/database.c	Thu Feb  5 09:02:13 2004
@@ -17,6 +17,7 @@
  */
  
 #include <config.h>
+#include <limits.h>
 #include <stdlib.h>
 #include <string.h>
 #include <stddef.h>
@@ -27,7 +28,7 @@
 #include <dirent.h>
 #include <scrollkeeper.h>
 
-#define PATHLEN		256
+#define PATHLEN		PATH_MAX
 
 
 /*
diff -Naur scrollkeeper-0.3.14-old/libs/i18n.c scrollkeeper-0.3.14/libs/i18n.c
--- scrollkeeper-0.3.14-old/libs/i18n.c	Sun Nov  9 18:05:36 2003
+++ scrollkeeper-0.3.14/libs/i18n.c	Thu Feb  5 09:02:13 2004
@@ -22,6 +22,25 @@
 #include <string.h>
 #include <locale.h>
 
+static void*
+strndup (const char *src, size_t n)
+{
+	size_t i;
+	char *dst;
+
+	if (src == NULL)
+		return NULL;
+
+	dst = (char*) malloc (n + 1);
+	if (dst != NULL) {
+		for (i = 0; i < n && src[i]; i++)
+			dst[i] = src[i];
+		dst[i] = '\0';
+	}
+
+	return dst;
+}
+
 /* Mask components used in locale spec. Ordering is from least significant to
  * most significant.
  */
@@ -175,7 +194,7 @@
 	
 	lang = getenv("LANGUAGE");
 	if (lang == NULL || lang[0] == '\0') {
-		lang = setlocale(LC_MESSAGES, NULL);
+		lang = setlocale(LC_ALL, NULL);
 	}
 		
 	if (lang == NULL || lang[0] == '\0') {
diff -Naur scrollkeeper-0.3.14-old/libs/install.c scrollkeeper-0.3.14/libs/install.c
--- scrollkeeper-0.3.14-old/libs/install.c	Wed Sep  3 06:33:52 2003
+++ scrollkeeper-0.3.14/libs/install.c	Thu Feb  5 09:02:13 2004
@@ -19,6 +19,7 @@
 #include <config.h>
 #include <libxml/tree.h>
 #include <libxml/parser.h>
+#include <limits.h>
 #include <stdlib.h>
 #include <string.h>
 #include <locale.h>
@@ -32,7 +33,7 @@
 #define _(String) gettext (String)
 
 #define SEP		"|"
-#define PATHLEN		256
+#define PATHLEN		PATH_MAX
 
 #ifdef SOLARIS
 /*extern char *strtok_r(char *, const char *, char **);*/
diff -Naur scrollkeeper-0.3.14-old/libs/scrollkeeper.h.in scrollkeeper-0.3.14/libs/scrollkeeper.h.in
--- scrollkeeper-0.3.14-old/libs/scrollkeeper.h.in	Mon Jun 23 05:00:44 2003
+++ scrollkeeper-0.3.14/libs/scrollkeeper.h.in	Thu Feb  5 09:02:13 2004
@@ -21,6 +21,7 @@
 
 #include <libxml/tree.h>
 #include <sys/types.h>
+#include <limits.h>
 
 #define _(String) gettext (String)
 
diff -Naur scrollkeeper-0.3.14-old/libs/uninstall.c scrollkeeper-0.3.14/libs/uninstall.c
--- scrollkeeper-0.3.14-old/libs/uninstall.c	Tue Dec  2 03:09:56 2003
+++ scrollkeeper-0.3.14/libs/uninstall.c	Thu Feb  5 09:02:13 2004
@@ -17,6 +17,7 @@
  */
 
 #include <config.h>
+#include <limits.h>
 #include <libxml/tree.h>
 #include <libxml/parser.h>
 #include <stdlib.h>
@@ -29,7 +30,7 @@
 
 #define _(String) gettext (String)
 
-#define PATHLEN		256
+#define PATHLEN		PATH_MAX
 
 struct IdTab {
     int id;
diff -Naur scrollkeeper-0.3.14-old/scrollkeeper.xmlcatalog scrollkeeper-0.3.14/scrollkeeper.xmlcatalog
--- scrollkeeper-0.3.14-old/scrollkeeper.xmlcatalog	Wed Dec 31 19:00:00 1969
+++ scrollkeeper-0.3.14/scrollkeeper.xmlcatalog	Thu Feb  5 09:02:13 2004
@@ -0,0 +1,3 @@
+"public" \
+	"-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" \
+	"file://@PREFIX@/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd"
